Subject: Re: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Sep 2012 13:47:54 +0300

> Date: Thu, 06 Sep 2012 18:56:47 +0900
> From: YAMAMOTO Mitsuharu <[email-masked]>
> Cc: YAMAMOTO Mitsuharu <[email-masked]>,
> 	Eli Zaretskii <[email-masked]>,
> 	Kenichi Handa <[email-masked]>,
> 	[email-masked]
> 
> > There are also in linux problems with some fonts for arabic, for
> > example: KacstNaskh have only one form for every arabic letter! But
> > it works with the many fonts as Arial, Tholoth, DejaVu and Metal,
> > which my linux machine uses by default.
> 
> Thanks.  I also tried myself with Ubuntu 12.04 by installing Arial
> using the ttf-mscorefonts-installer package.  It seems to install a
> different version of the Arial font (2.82) than what's bundled with OS
> X 10.8 (5.01.2x).  The result is also different from what I showed
> before on OS X, but still doesn't look right unlike yours (see the
> attached screenshot).

Note that the Y-OFF value is zero in your snapshot, while it is 9 in
Steffan's one.  That's the immediate reason for the different display,
I think.  The question is, why that difference happens.  Perhaps
Handa-san could help us understand that.